JHelpSearchNavigator
Keywords: javax.help.JHelpSearchNavigator class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class JHelpSearchNavigator

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.help.JHelpNavigator
                      javax.help.JHelpSearchNavigator

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class JHelpSearchNavigator
extends JHelpNavigator

A JHelpNavigator for search data. All of the tree navigation and selection has been delegated to the UI.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JHelpSearchNavigator(HelpSet hs, java.lang.String name, java.lang.String label, java.net.URL data)` Creates a TOC navigator with explicit arguments.
`JHelpSearchNavigator(NavigatorView view)` Creates a Search navigator
`JHelpSearchNavigator(NavigatorView view, HelpModel model)` Creates a Search navigator.

Method Summary
`boolean` | `canMerge(NavigatorView view)` Determines if this instance of a JHelpNavigator can merge its data with another one.
`SearchEngine` | `getSearchEngine()` Instantiates and returns a SearchEngine class.
`java.lang.String` | `getUIClassID()` The UID for this JComponent.
`void` | `merge(NavigatorView view)` Merges a NavigatorView into this instance.
`void` | `remove(NavigatorView view)` Removes a NavigatorView from this instance.
`void` | `setSearchEngine(SearchEngine search)` Explicitly changes the default (overriding what is in the HelpSet).

Methods inherited from class javax.help.JHelpNavigator
`addHelpModelListener, getAccessibleContext, getIcon, getModel, getNavigatorLabel, getNavigatorLabel, getNavigatorName, getNavigatorView, getSelectedItems, getUI, removeHelpModelListener, setModel, setSelectedItems, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JHelpSearchNavigator

    public JHelpSearchNavigator(NavigatorView view)

  Creates a Search navigator

Parameters:
  `view` - The NavigatorView. If view is null it creates a JHelpSearchNavigator with a null NavigatorView.

### JHelpSearchNavigator

    public JHelpSearchNavigator(NavigatorView view,
                                HelpModel model)

  Creates a Search navigator.

Parameters:
  `view` - The NavigatorView. If `view` is null it creates a JHelpSearchNavigator with a null NavigatorView.
  `model` - The HelpModel this Navigator is presenting. If `model` is null it creates a JHelpSearchNavigator witout a model.

### JHelpSearchNavigator

    public JHelpSearchNavigator(HelpSet hs,
                                java.lang.String name,
                                java.lang.String label,
                                java.net.URL data)
                         throws InvalidNavigatorViewException

  Creates a TOC navigator with explicit arguments. Note that this should not throw an InvalidNavigatorViewException since the type is passed implicitly.

Parameters:
  `hs` - HelpSet
  `name` - The name indentifying this HelpSet.
  `label` - The label to use (for this locale).
  `data` - The "data" part of the parameters, a URL to the location of the TOC data.

Method Detail

### getUIClassID

    public java.lang.String getUIClassID()

  The UID for this JComponent.

  Overrides:
    `getUIClassID` in class `JHelpNavigator`
  Returns:
    "HelpNavigatorUI"

### getSearchEngine

    public SearchEngine getSearchEngine()

  Instantiates and returns a SearchEngine class. The default query engine to use is `com.sun.java.help.search.SearchEngine`, but this can be changed through the <engine></engine> attribute of the view.

  Returns:
    The SearchEngine instantiation.

### setSearchEngine

    public void setSearchEngine(SearchEngine search)

  Explicitly changes the default (overriding what is in the HelpSet).

  Parameters:
    `search` - A SearchEngine instantiation.

### canMerge

    public boolean canMerge(NavigatorView view)

  Determines if this instance of a JHelpNavigator can merge its data with another one.

  Overrides:
    `canMerge` in class `JHelpNavigator`
  Parameters:
    `view` - The data to merge.
  Returns:
    Whether it can be merged.
  See Also:
    `merge(NavigatorView)`, `remove(NavigatorView)`

### merge

    public void merge(NavigatorView view)

  Merges a NavigatorView into this instance.

  Overrides:
    `merge` in class `JHelpNavigator`
  Parameters:
    `view` - The data to merge.
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`
  See Also:
    `canMerge(NavigatorView)`, `remove(NavigatorView)`

### remove

    public void remove(NavigatorView view)

  Removes a NavigatorView from this instance.

  Overrides:
    `remove` in class `JHelpNavigator`
  Parameters:
    `view` - The data to merge.
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`
  See Also:
    `canMerge(NavigatorView)`, `merge(NavigatorView)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD